org.keycloak.protocol.oidc

## Class OIDCConfigAttributes

- java.lang.Object
- - org.keycloak.protocol.oidc.OIDCConfigAttributes

-     public final class OIDCConfigAttributes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_TOKEN_LIFESPAN`
    `static String` | `ACCESS_TOKEN_SIGNED_RESPONSE_ALG`
    `static String` | `BACKCHANNEL_LOGOUT_REVOKE_OFFLINE_TOKENS`
    `static String` | `BACKCHANNEL_LOGOUT_SESSION_REQUIRED`
    `static String` | `BACKCHANNEL_LOGOUT_URL`
    `static String` | `CLIENT_OFFLINE_SESSION_IDLE_TIMEOUT`
    `static String` | `CLIENT_OFFLINE_SESSION_MAX_LIFESPAN`
    `static String` | `CLIENT_SESSION_IDLE_TIMEOUT`
    `static String` | `CLIENT_SESSION_MAX_LIFESPAN`
    `static String` | `EXCLUDE_SESSION_STATE_FROM_AUTH_RESPONSE`
    `static String` | `ID_TOKEN_ENCRYPTED_RESPONSE_ALG`
    `static String` | `ID_TOKEN_ENCRYPTED_RESPONSE_ENC`
    `static String` | `ID_TOKEN_SIGNED_RESPONSE_ALG`
    `static String` | `JWKS_URL`
    `static String` | `PKCE_CODE_CHALLENGE_METHOD`
    `static String` | `REQUEST_OBJECT_REQUIRED`
    `static String` | `REQUEST_OBJECT_REQUIRED_REQUEST`
    `static String` | `REQUEST_OBJECT_REQUIRED_REQUEST_OR_REQUEST_URI`
    `static String` | `REQUEST_OBJECT_REQUIRED_REQUEST_URI`
    `static String` | `REQUEST_OBJECT_SIGNATURE_ALG`
    `static String` | `TOKEN_ENDPOINT_AUTH_SIGNING_ALG`
    `static String` | `USE_JWKS_URL`
    `static String` | `USE_MTLS_HOK_TOKEN`
    `static String` | `USE_REFRESH_TOKEN_FOR_CLIENT_CREDENTIALS_GRANT`
    `static String` | `USER_INFO_RESPONSE_SIGNATURE_ALG`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_INFO_RESPONSE_SIGNATURE_ALG

          public static final String USER_INFO_RESPONSE_SIGNATURE_ALG

      See Also:
        Constant Field Values

    - #### REQUEST_OBJECT_SIGNATURE_ALG

          public static final String REQUEST_OBJECT_SIGNATURE_ALG

      See Also:
        Constant Field Values

    - #### REQUEST_OBJECT_REQUIRED

          public static final String REQUEST_OBJECT_REQUIRED

      See Also:
        Constant Field Values

    - #### REQUEST_OBJECT_REQUIRED_REQUEST_OR_REQUEST_URI

          public static final String REQUEST_OBJECT_REQUIRED_REQUEST_OR_REQUEST_URI

      See Also:
        Constant Field Values

    - #### REQUEST_OBJECT_REQUIRED_REQUEST

          public static final String REQUEST_OBJECT_REQUIRED_REQUEST

      See Also:
        Constant Field Values

    - #### REQUEST_OBJECT_REQUIRED_REQUEST_URI

          public static final String REQUEST_OBJECT_REQUIRED_REQUEST_URI

      See Also:
        Constant Field Values

    - #### JWKS_URL

          public static final String JWKS_URL

      See Also:
        Constant Field Values

    - #### USE_JWKS_URL

          public static final String USE_JWKS_URL

      See Also:
        Constant Field Values

    - #### EXCLUDE_SESSION_STATE_FROM_AUTH_RESPONSE

          public static final String EXCLUDE_SESSION_STATE_FROM_AUTH_RESPONSE

      See Also:
        Constant Field Values

    - #### USE_MTLS_HOK_TOKEN

          public static final String USE_MTLS_HOK_TOKEN

      See Also:
        Constant Field Values

    - #### ID_TOKEN_SIGNED_RESPONSE_ALG

          public static final String ID_TOKEN_SIGNED_RESPONSE_ALG

      See Also:
        Constant Field Values

    - #### ID_TOKEN_ENCRYPTED_RESPONSE_ALG

          public static final String ID_TOKEN_ENCRYPTED_RESPONSE_ALG

      See Also:
        Constant Field Values

    - #### ID_TOKEN_ENCRYPTED_RESPONSE_ENC

          public static final String ID_TOKEN_ENCRYPTED_RESPONSE_ENC

      See Also:
        Constant Field Values

    - #### ACCESS_TOKEN_SIGNED_RESPONSE_ALG

          public static final String ACCESS_TOKEN_SIGNED_RESPONSE_ALG

      See Also:
        Constant Field Values

    - #### ACCESS_TOKEN_LIFESPAN

          public static final String ACCESS_TOKEN_LIFESPAN

      See Also:
        Constant Field Values

    - #### CLIENT_SESSION_IDLE_TIMEOUT

          public static final String CLIENT_SESSION_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### CLIENT_SESSION_MAX_LIFESPAN

          public static final String CLIENT_SESSION_MAX_LIFESPAN

      See Also:
        Constant Field Values

    - #### CLIENT_OFFLINE_SESSION_IDLE_TIMEOUT

          public static final String CLIENT_OFFLINE_SESSION_IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### CLIENT_OFFLINE_SESSION_MAX_LIFESPAN

          public static final String CLIENT_OFFLINE_SESSION_MAX_LIFESPAN

      See Also:
        Constant Field Values

    - #### PKCE_CODE_CHALLENGE_METHOD

          public static final String PKCE_CODE_CHALLENGE_METHOD

      See Also:
        Constant Field Values

    - #### TOKEN_ENDPOINT_AUTH_SIGNING_ALG

          public static final String TOKEN_ENDPOINT_AUTH_SIGNING_ALG

      See Also:
        Constant Field Values

    - #### BACKCHANNEL_LOGOUT_URL

          public static final String BACKCHANNEL_LOGOUT_URL

      See Also:
        Constant Field Values

    - #### BACKCHANNEL_LOGOUT_SESSION_REQUIRED

          public static final String BACKCHANNEL_LOGOUT_SESSION_REQUIRED

      See Also:
        Constant Field Values

    - #### BACKCHANNEL_LOGOUT_REVOKE_OFFLINE_TOKENS

          public static final String BACKCHANNEL_LOGOUT_REVOKE_OFFLINE_TOKENS

      See Also:
        Constant Field Values

    - #### USE_REFRESH_TOKEN_FOR_CLIENT_CREDENTIALS_GRANT

          public static final String USE_REFRESH_TOKEN_FOR_CLIENT_CREDENTIALS_GRANT

      See Also:
        Constant Field Values

Copyright © 2020 JBoss by Red Hat. All rights reserved.